NEWFS(8)

NAME
newfs - construct a new file system

SYNOPSIS
newfs [ -N ] [ -v ] [ mkfs-options ] special disk-type

DESCRIPTION
Newfs is a ``friendly'' front-end to the mkfs(8) program. Newfs will look up the type of disk a file system is being created on in the disk description file /etc/disktab, calculate the appropriate parameters to use in calling mkfs, then build the file system by forking mkfs and, if the file system is a root partition, install the necessary bootstrap programs in the initial 8 sectors of the device. The -N option causes the file system parameters to be printed out without actually creating the file system. Unless the -N option has been used, newfs will call fsirand(8) for the new file system once the mkfs has finished.

If the -v option is supplied, newfs will print out its actions, including the parameters passed to mkfs.

Options which may be used to override default parameters passed to mkfs are:

-s size
    The size of the file system in sectors.

-b block-size
    The block size of the file system in bytes.

-f frag-size
    The fragment size of the file system in bytes.

-t #tracks/cylinder

-c #cylinders/group
    The number of cylinders per cylinder group in a file system. The default value used is 16.

-m freespace
    The percentage of space reserved from normal users; the minimum free space threshhold. The default value used is 10%.

-o optimization preference (``space'' or ``time'')
    The file system can either be instructed to try to minimize the time spent allocating blocks, or to try to minimize the space fragmentation on the disk. If the value of minfree (see above) is less than 10%, the default is to optimize for space; if the value of minfree greater than or equal to 10%, the default is to optimize for time.

-r revolutions/minute
    The speed of the disk in revolutions per minute (normally 3600).

-S sector-size
    The size of a sector in bytes (almost never anything but 512).

-i number of bytes per inode
    This specifies the density of inodes in the file system. The default is to create an inode for each 2048 bytes of data space. If fewer inodes are desired, a larger number should be used; to create more inodes a smaller number should be given.

FILES
/etc/disktab    for disk geometry and file system partition information
/usr/sbin/mkfs    to actually build the file system

SEE ALSO
disktab(5), fs(5), diskpart(8), fsck(8), fsirand(8), format(8), mkfs(8), tunefs(8)

M. McKusick, W. Joy, S. Leffler, R. Fabry, ``A Fast File System for UNIX'', ACM Transactions on Computer Systems 2, 3. pp 181-197, August 1984. (reprinted in the System Manager's Manual, SMM:14)

BUGS
Should figure out the type of the disk without the user's help.